/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing GitlabProjectDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class GitlabProjectDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for GitlabProjectDto
        //private GitlabProjectDto instance;

        public GitlabProjectDtoTests()
        {
            // TODO uncomment below to create an instance of GitlabProjectDto
            //instance = new GitlabProjectDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of GitlabProjectDto
        /// </summary>
        [Fact]
        public void GitlabProjectDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" GitlabProjectDto
            //Assert.IsType<GitlabProjectDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'Archived'
        /// </summary>
        [Fact]
        public void ArchivedTest()
        {
            // TODO unit test for the property 'Archived'
        }

        /// <summary>
        /// Test the property 'Name'
        /// </summary>
        [Fact]
        public void NameTest()
        {
            // TODO unit test for the property 'Name'
        }

        /// <summary>
        /// Test the property 'NameWithNamespace'
        /// </summary>
        [Fact]
        public void NameWithNamespaceTest()
        {
            // TODO unit test for the property 'NameWithNamespace'
        }

        /// <summary>
        /// Test the property 'Description'
        /// </summary>
        [Fact]
        public void DescriptionTest()
        {
            // TODO unit test for the property 'Description'
        }

        /// <summary>
        /// Test the property 'DefaultBranch'
        /// </summary>
        [Fact]
        public void DefaultBranchTest()
        {
            // TODO unit test for the property 'DefaultBranch'
        }

        /// <summary>
        /// Test the property 'Path'
        /// </summary>
        [Fact]
        public void PathTest()
        {
            // TODO unit test for the property 'Path'
        }

        /// <summary>
        /// Test the property 'PathWithNamespace'
        /// </summary>
        [Fact]
        public void PathWithNamespaceTest()
        {
            // TODO unit test for the property 'PathWithNamespace'
        }

        /// <summary>
        /// Test the property 'LastActivityAt'
        /// </summary>
        [Fact]
        public void LastActivityAtTest()
        {
            // TODO unit test for the property 'LastActivityAt'
        }

        /// <summary>
        /// Test the property 'CreatedAt'
        /// </summary>
        [Fact]
        public void CreatedAtTest()
        {
            // TODO unit test for the property 'CreatedAt'
        }

        /// <summary>
        /// Test the property 'WebUrl'
        /// </summary>
        [Fact]
        public void WebUrlTest()
        {
            // TODO unit test for the property 'WebUrl'
        }

        /// <summary>
        /// Test the property 'HttpUrlToRepo'
        /// </summary>
        [Fact]
        public void HttpUrlToRepoTest()
        {
            // TODO unit test for the property 'HttpUrlToRepo'
        }

        /// <summary>
        /// Test the property 'SshUrlToRepo'
        /// </summary>
        [Fact]
        public void SshUrlToRepoTest()
        {
            // TODO unit test for the property 'SshUrlToRepo'
        }
    }
}
